HTTP ERROR 500  

 
Abonir Ibérica, S.L.
 Abonir Ibérica, S.L.
Nuevo usuario

Tras actualizar Woocommerce nos ha saltado el siguiente error: 

PHP Fatal error: strict_types declaration must be the very first statement in the script in /home/abonirgr/public_html/abonirgrupo.com/wp-content/plugins/woocommerce/lib/packages/League/Container/Container.php on line 1

Hemos bajado la versión PHP de la 7.4 a la 7.2 al estar utilizando la Versión de Wordpress 5.5.3, por si esté era el problema, pero continua sin funcionar. 

Por favor, agradecería que nos indicaseis como solucionarlo. Gracias. 

Contenido solo visible a usuarios registrados

Citar
Respondido : 16/02/2021 11:41 am
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola, Buenos Días.

Donde ves el error 500 ? veo que la web esta cargando bien.

El erro que indicas suele venir por version de PHP, en este caso no es compatible con la version de PHP que tienes instalada:

-> https://www.sitepoint.com/community/t/declare-strict-types-1-vs-error-reporting-1/316579

 

Lo que veo es que tienes plugins y WordPress sin actualizar.

Lo primero seria actualizar todo lo que tienes pendientes, piensa que los plugins se actualizan a las ultimas versiones e WordPress y si tienes WP desactualizado y plugins actualizados puede causar errores.

 

Un saludo

 

 

ResponderCitar
Respondido : 16/02/2021 12:08 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Abonir Ibérica, S.L.
 Abonir Ibérica, S.L.
Nuevo usuario

Buenas, el error 500 lo veo al tratar de entrar en la web. Lo he probado desde diferentes dispositivos y me lo muestra en ambos. https://www.abonirgrupo.com/

ResponderCitar
Respondido : 16/02/2021 12:26 pm
Karen Rios
 Karen Rios
Soporte CMS Webempresa Moderator

Hola,

En este caso comprueba como comenta Pepe que versión de PHP tienes, prueba cambiarla de forma temporal a 7.3 y verifica sin con ello logras ingresar al backend de tu sitio web.

Te comparto la siguiente guía donde mencionan como puedes modificar la versión de tu PHP en cPanel -> https://guias.webempresa.com/preguntas-frecuentes/cambiar-la-version-php/

Un Saludo

ResponderCitar
Respondido : 16/02/2021 12:31 pm

wpdoctor-revisa-la-salud-de-tu-wordpress